Bug 1368126 - improve the output of "hammer content-view puppet-module list"
Summary: improve the output of "hammer content-view puppet-module list"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-18 13:24 UTC by Peter Ondrejka
Modified: 2018-09-04 17:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:42:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16350 None None None 2016-08-26 19:26:52 UTC

Description Peter Ondrejka 2016-08-18 13:24:39 UTC
Description of problem:

Running the following command:

   hammer content-view puppet-module list --content-view-id 1

on a content view that doesn't include any puppet modules returns:

   Couldn't find Katello::ContentView with 'id'=1 [WHERE "katello_content_views"."default" = 'f']

Version-Release number of selected component (if applicable):

   satellite-6.2.1-1.2.el7sat.noarch

Expected results:

The command should return an empty list, for example when listing filters of a filter-less content view:

   hammer content-view filter list --content-view-id 1
   ----------|------|------|----------
   FILTER ID | NAME | TYPE | INCLUSION
   ----------|------|------|----------

Comment 1 Peter Ondrejka 2016-08-18 13:37:05 UTC
update: the above only applies for the default content view, other views behave as expected. Still, some user-friendly message would be nice.

Comment 2 Peter Ondrejka 2016-08-18 13:42:53 UTC
The "Couldn't find..." message also appears when attempting to add a puppet module to the default CV, and when searching a CV with invalid ID

Comment 4 Brad Buckingham 2016-08-26 19:26:50 UTC
Created redmine issue http://projects.theforeman.org/issues/16350 from this bug

Comment 5 Bryan Kearney 2018-09-04 17:42:46 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.